# Class RoundCompleteEvent

java.lang.Object
java.util.EventObject
com.sun.mirror.apt.RoundCompleteEvent

All Implemented Interfaces:
  `Serializable`

public abstract class RoundCompleteEvent extends EventObject
Event for the completion of a round of annotation processing.

While this class extends the serializable `EventObject`, it cannot meaningfully be serialized because all of the annotation processing tool's internal state would potentially be needed.

Since:
  1.5
Version:
  1.2 04/07/19
Author:
  Joseph D. Darcy, Scott Seligman
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RoundCompleteEvent(AnnotationProcessorEnvironment source, RoundState rs)`
The current `AnnotationProcessorEnvironment` is regarded as the source of events.

## Method Summary

Modifier and Type
Method
Description
`RoundState`
`getRoundState()`
Return round state.
`AnnotationProcessorEnvironment`
`getSource()`
Return source.

### Methods inherited from class EventObject

`toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RoundCompleteEvent

protected RoundCompleteEvent(AnnotationProcessorEnvironment source, RoundState rs)
The current `AnnotationProcessorEnvironment` is regarded as the source of events.

Parameters:
  `source` - The source of events
  `rs` - The state of the round

## Method Details

### getRoundState

public RoundState getRoundState()
Return round state.

### getSource

public AnnotationProcessorEnvironment getSource()
Return source.

Overrides:
  `getSource` in class `EventObject`